<?php

namespace KupShop\GTMBundle\PageType;

use KupShop\ContentBundle\View\Error404View;

class Error404PageType extends AbstractPageType
{
    /** @var Error404View */
    protected $view;

    public function getPageData(&$dataContainer)
    {
    }

    public function getPageType(&$dataContainer)
    {
        $dataContainer->page->type = 'error404';
    }

    public static function getSupportedViews()
    {
        return [Error404View::class];
    }
}
